# Enable debug mode
%define debug 0

Name:		xsane
Version:	0.999
Release:	5
Summary:	Frontend for the SANE scanner interface

Group:		Graphics
URL:		http://www.xsane.org/
License:	GPLv2+
Source0:	ftp://ftp.sane-project.org/pub/sane/xsane/%{name}-%{version}.tar.gz
Source1:        xsane-russian-docs.tar.xz
Source2:        xsane.desktop
# Large icon from here: http://doc.ubuntu-fr.org/_detail/graphisme/1176139936.png?id=xsane
Source3:	xsane.png
Patch0:		xsane-0.99-browser.patch
Patch2:		xsane-ru-po.patch
Patch3:		xsane-0.995-close-fds.patch
Patch4:		xsane-0.997-no-file-selected.patch
Patch5:		xsane-0.998-libpng.patch
Patch6:		xsane-0.998-preview-selection.patch
Patch7:		xsane-0.998-wmclass.patch
# Contains "www-browser" script
Requires:	desktop-common-data
# This is for the drakxtools so that they can install a GUI for scanning
# but decide depending on the system environment which GUI actually to
# install
Provides:	scanner-gui
BuildRequires:	imagemagick
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(sane-backends)

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary:	GIMP plug-in which provides the SANE scanner interface

Group:		Graphics
Requires:	sane >= 1.0, %{name} >= %{version}

%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP 2.0 plug-in.  You must have GIMP 2.0 (or
newer) installed to use this package.

%prep
%setup -q
cat %{SOURCE2} > src/xsane.desktop
%patch0 -p0 -b .www-browser
%patch2 -p1 -b .po-file
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%if %{debug}
export DONT_STRIP=1
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot}
%else
%configure2_5x --with-install-root=%{buildroot} 
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make
mv src/xsane src/xsane-gimp

make clean
%if %debug
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot} --disable-gimp
%else
%configure2_5x --with-install-root=%{buildroot} --disable-gimp
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make

%install
%if %debug
export DONT_STRIP=1
%endif

%makeinstall_std
install src/xsane-gimp %{buildroot}%{_bindir}
%find_lang %{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{128x128,48x48,32x32,16x16}/apps
convert -scale 128 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 48 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
#convert -scale 128 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png 
#convert -scale 48 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
#convert -scale 32 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
#convert -scale 16 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=%{_bindir}/xsane
Terminal=false
Icon=%{name}
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/sane/xsane/doc/ru/
tar xaf %{SOURCE1} -C %{buildroot}%{_datadir}/sane/xsane/doc/ru/

%files -f %{name}.lang
%doc xsane*
%config(noreplace) %{launchers}/%{name}.desktop
%{_bindir}/xsane
%dir %{_datadir}/sane
%{_datadir}/sane/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/*

%post
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %{launchers}/%{name}.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %{launchers}/%{name}.desktop 30

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove scanner.gnome.dynamic %{launchers}/%{name}.desktop
fi

%files gimp
%doc xsane*
%{_bindir}/xsane-gimp

%post gimp
if [ -d %{_libdir}/gimp ]; then
  GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %{__ln_s} -f %{_bindir}/xsane-gimp $i/plug-ins/xsane
  done
fi

%postun gimp
if [ $1 = 0 ]; then
  if [ -d %{_libdir}/gimp ]; then
    GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    rm -f $i/plug-ins/xsane
        done
  fi
fi




%changelog
* Thu Sep 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.999-5
+ Revision: 5e9d995
- Added large icon


